LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-27-2004, 04:30 PM   #1
crazytigger
Member
 
Registered: Sep 2004
Location: Brighton UK
Distribution: *buntu 7.10
Posts: 59

Rep: Reputation: 15
2.6x Kernel install help pls!!


heh... i'm using Mandrake 10 and tryna compile and use some 2.6 "stable" kenel.. i've got it to boot once but the console screen was invisible, i typed username and password then "kde" and it booted.. however mouse didn't work and i didn't like fact that sound etc was inoperative. Anyhow... i recompiled and i think i got the xconfig righter this time but i still get this:

[root@crazydark linux-2.6.8.1]# make install
make[1]: `arch/i386/kernel/asm-offsets.s' is up to date.
CHK include/asm-i386/asm_offsets.h
CHK include/linux/compile.h
SKIPPED include/linux/compile.h
Kernel: arch/i386/boot/bzImage is ready
sh /home/ollie/Desktop/linux-2.6.8.1/arch/i386/boot/install.sh 2.6.8.1 arch/i386/boot/bzImage System.map ""
No dep file found for kernel 2.6.8.1
No dep file found for kernel 2.6.8.1
looks like there is a problem, the default vmlinuz version is not the same
as the initrd
which means you have a mdk kernel and not a mdk initrd wich may give you trouble
There is an error when regenerating lilo, you may have to check your /etc/lilo.conf


anyone shed any light on this for me pls?

crazytig
 
Old 09-27-2004, 04:35 PM   #2
Samsara
Member
 
Registered: May 2003
Distribution: Ubuntu, Mac OS X Tiger
Posts: 481

Rep: Reputation: 32
Re: 2.6x Kernel install help pls!!

1) kernel 2.6.8.1 (and 2.6.8 which preceded it) is a difficult one. I stuck with 2.6.7 because 2.6.8.1 wouldn't compile, and I didn't need it that badly.

2) It's always useful to post the .config file you used.

3) You may be aware that you have to choose between the ALSA and OSS sound systems. ALSA does not yet work v. well with some older sound devices, but a lot of work has already been done for the 2.6.9 release of the kernel. For the time being, try OSS and see if that works!

HTH,

Samsara

Edit:
4) Do you know what the initrd is? Maybe this is where confusion arises. The error message, unless itself erroneous, may actually be quite helpful.

Last edited by Samsara; 09-27-2004 at 04:37 PM.
 
Old 09-27-2004, 05:33 PM   #3
amosf
Senior Member
 
Registered: Jun 2004
Location: Australia
Distribution: Mandriva/Slack - KDE
Posts: 1,672

Rep: Reputation: 46
Sounds like the config is not quite right. Remove the framebuffer stuff as that's always a hassle getting right. Just use the normal console for the moment. Also maybe you didn't get the mouse config right. The config can take a while so make sure you go through each option carefully and know what hardware you have, like sound card and such. Did you use alsa or oss, etc... I always tended to use oss for my older sound card, tho went with alsa on the last compile... I don't usually use an initrd and just compile the filesystems in, but you can use an initrd - tho maybe manually setting up might be better that make install...

Remeber that with kernels after 2.6.8.1 you will need the fixed versions on burn tools like K3B and dvd tools... I'm currently using 2.6.9-rc2 which is working well...
 
Old 09-27-2004, 06:04 PM   #4
crazytigger
Member
 
Registered: Sep 2004
Location: Brighton UK
Distribution: *buntu 7.10
Posts: 59

Original Poster
Rep: Reputation: 15
ehhhh...

yea i really don't know what i'm doing .. I wanted 2.6x because i'm running laptop (omg) and i wanted the 3d acceleration to work on my integrated radeon igp 320m and it says support is better in this kernel.. i'll try to post back with some more details when i get my system back.. (seems lilo is misconfigured after "make install" and now wont boot my original 2.4x kernel.. hum.. once again back to windoze to get some connectivity.. not worried about it tho.. failsafe'll do it for now..)) ...

thanx for the help tho.. you're right the error is probably no erronous and need further inspection heh
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Mounting Virtual Kernel File Systems - Help Pls chakkaradeepcc Linux From Scratch 2 05-13-2005 07:53 AM
pls guide me ho to install maharaskal Linux - Newbie 1 03-01-2005 07:21 AM
More info on recompiling my kernel pls. sdat1333 Fedora 7 12-01-2004 12:16 PM
help install drivers pls nutz1uk Linux - Hardware 0 06-16-2004 08:12 PM
pls pls pls help me ! i'm tired with httpd config on fedora apache 2.0.48 AngelOfTheDamn Fedora 0 01-24-2004 06:12 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 02:55 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration